Subject: Re: How to use on OpenBSD? (has Perl-5.8.8 in OBSD base)
To: The masked-coder known as Randux <>
From: Matthias Scheler <>
List: pkgsrc-users
Date: 03/15/2007 08:37:04
On Wed, Mar 14, 2007 at 01:41:48AM +0200, The masked-coder known as Randux wrote:
> Whilst pkgsrc works quite well for me on NetBSD (don't really recall
> any major problems at all) it doesn't seem to be working very well on
> OpenBSD 4.0.

It works better on NetBSD, DragonFly and a few other problems because
people spend a lot of time maintaing "pkgsrc" on those platforms. The
support for Solaris has been improved a lot during the last few month
because a lot of people (developers *and* users) test it (e.g. by
running bulk builds), submitting bug reports and contributing patches.
Improving the OpenBSD support would require a similar effort.

> ... it's been repeatedly broken/fixed/broken/fixed since 2004 (gpgme) ...

Did you ever submit a problem report because of this?

> ... and now firefox2 and sylpheed-claws (my main reasons for using
> pkgsrc on OpenBSD) have just crashed.

Which could be a problem in "pkgsrc", a portability problem in the
application or both. Nobody knows without a precise bug report.

So please start submitting bug reports now.

	Kind regards

Matthias Scheler